Bug 1738153 - vdr-epg-daemon depends on Python 2
Summary: vdr-epg-daemon depends on Python 2
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: vdr-epg-daemon
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 13:17 UTC by Lumír Balhar
Modified: 2019-08-27 07:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-27 06:28:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 13:17:59 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for vdr-epg-daemon's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to vdr-epg-daemon.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 16:54:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 17:40:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Lumír Balhar 2019-08-14 06:10:43 UTC
I can confirm that this package does not depend on Python 2 in rawhide.

However, I think that better would be to use and depend on the default Python 3 (3.7 currently in rawhide). We'll update the default Python to 3.8 in Fedora 32 and package python38 won't exist anymore.

Comment 4 MartinKG 2019-08-23 13:38:27 UTC
Hello Lumi,

I can not customize the package to compile on Fedora 30 and Fedora 32. I need help.
I already tried to customize the package see [1].

[1] https://martinkg.fedorapeople.org/ErrorReports/vdr-epg-daemon/vdr-epg-daemon.spec

greetings
Martin

Comment 5 MartinKG 2019-08-27 06:28:38 UTC
successfully built for rawhide.

Comment 6 Lumír Balhar 2019-08-27 07:00:53 UTC
Great! Thank you!


Note You need to log in before you can comment on or make changes to this bug.